Scilab Function
Last update : 16/6/2004

trisolve - solveur symbolique de système linéaire

### Calling Sequence

  `[x [,sexp]] = trisolve(A,b [,sexp])`

### Parameters

- `A,b,x` : matrices (resp. vecteurs) de chaînes de caractères

### Description

Résout `A*x = b` quand `A` est une matrice triangulaire supérieure de chaînes de caractères.

`sexp` est un ensemble d'expressions communes dans `A`, `b` et `x`.

### Examples

    A=['x','y';'0','z'];b=['0';'1'];
    w=trisolve(A,b)
    x=5;y=2;z=4;
    evstr(w)
    inv(evstr(A))*evstr(b)

### See Also

`trianfml`, `solve`,

### Author

F.D, S.S